<?php
////////////////////////////////////////////////////////////////////////////////////////////////////////
//- Function:    str_rand                                                                             //
//- Description: Returns a random string                                                              //
//- Author:      Aidan Lister                                                                         //
//- Version:     2.0                                                                                  //
//- Parameters:                                                                                       //
//   - $length:  Length of the string you want generated                                              //
//   - $seeds:   The seeds you want the string to be generated from                                   //
//- Return value: The generated string                                                                //
////////////////////////////////////////////////////////////////////////////////////////////////////////
function str_rand($length = 8, $seeds = 'abcdefghijklmnopqrstuvwxyz0123456789')
{
    $str = '';
    $seeds_count = strlen($seeds);

    // Seed
    list($usec, $sec) = explode(' ', microtime());
    $seed = (float) $sec + ((float) $usec * 100000);
    mt_srand($seed);

    // Generate
    for ($i = 0; $length > $i; $i++) {
        $str .= $seeds{mt_rand(0, $seeds_count - 1)};
    }

    return $str;
}
?>